[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# PasswordBox

Password Box

## Declaration

Source position: dialogs.pp line 515

`function PasswordBox(`
`const ACaption: String;`
`const APrompt: String`
`):String;`

## Arguments

`ACaption` |  | The caption for the dialog
`APrompt` |  | A prompt to ask for the users input.

## Function result

The string the user entered.

## Description

PasswordBox: a specialised form of the InputQuery.
The editbox on the dialog box will mask the input.
The only parameters are aCaption and aPrompt.
Behaves very similarly to the InputQuery function with MaskInput = TRUE;
the difference is that the password that was typed in is returned as the result of the function (like InputBox).

## See also

InputQuery |  | Use InputQuery to show a dialog box to get some input from the user
InputBox |  | Displays a box with defined title and prompt, and expects user input in a text box

The latest version of this document can be found at lazarus-ccr.sourceforge.net.